package ch.hslu.appe.usermanagement.model;

/**
 * User State Enum.
 */
public enum UserState {
    /**
     * User is marked as deleted, but we cannot delete it because of the data integrity.
     */
    DELETED,

    /**
     * User is marked as blocked. Users cannot longer login into the system.
     */
    BLOCKED,

    /**
     * User is marked as active.
     */
    ACTIVE
}
